<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddRouteListReq StructType
 * @subpackage Structs
 */
class AddRouteListReq extends APIRequest
{
    /**
     * The routeList
     * @var XRouteList
     */
    public $routeList;
    /**
     * Constructor method for AddRouteListReq
     * @uses AddRouteListReq::setRouteList()
     * @param XRouteList $routeList
     */
    public function __construct(XRouteList $routeList = null)
    {
        $this
            ->setRouteList($routeList);
    }
    /**
     * Get routeList value
     * @return XRouteList|null
     */
    public function getRouteList()
    {
        return $this->routeList;
    }
    /**
     * Set routeList value
     * @param XRouteList $routeList
     * @return AddRouteListReq
     */
    public function setRouteList(XRouteList $routeList = null)
    {
        $this->routeList = $routeList;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddRouteListReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
